Bug 1470162 - [abrt] gnome-shell: g_time_zone_ref(): gnome-shell killed by signal 11
[abrt] gnome-shell: g_time_zone_ref(): gnome-shell killed by signal 11
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:07372d98b885f1a3ae1ed70c601...
:
: 1477759 1478082 1478586 1478673 1479013 1481021 1486590 1489568 1490821 1492283 1492437 1492514 1493019 1494862 1495454 1502184 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 09:19 EDT by Alex Gluck
Modified: 2017-10-14 19:14 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.81 KB, text/plain)
2017-07-12 09:19 EDT, Alex Gluck
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-12 09:19 EDT, Alex Gluck
no flags Details
File: core_backtrace (32.43 KB, text/plain)
2017-07-12 09:19 EDT, Alex Gluck
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2017-07-12 09:19 EDT, Alex Gluck
no flags Details
File: dso_list (27.31 KB, text/plain)
2017-07-12 09:19 EDT, Alex Gluck
no flags Details
File: environ (1.85 KB, text/plain)
2017-07-12 09:19 EDT, Alex Gluck
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-12 09:19 EDT, Alex Gluck
no flags Details
File: maps (137.38 KB, text/plain)
2017-07-12 09:20 EDT, Alex Gluck
no flags Details
File: open_fds (20.81 KB, text/plain)
2017-07-12 09:20 EDT, Alex Gluck
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-07-12 09:20 EDT, Alex Gluck
no flags Details
File: var_log_messages (16.87 KB, text/plain)
2017-07-12 09:20 EDT, Alex Gluck
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-07-12 09:20 EDT, Alex Gluck
no flags Details

  None (edit)
Description Alex Gluck 2017-07-12 09:19:39 EDT
Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=c7819c8d1d564b3fbae0f0ac62b0a0d5;i=2c91c8;b=47e1a8fa91384267a25b6212c44d6ced;m=5b6d954;t=5541e770df190;x=e13b7cfff26566ca
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_time_zone_ref at gtimezone.c:267
 #1 g_date_time_alloc at gdatetime.c:427
 #2 g_date_time_from_instant at gdatetime.c:522
 #3 g_date_time_new_from_timeval at gdatetime.c:645
 #4 g_date_time_new_now at gdatetime.c:703
 #5 update_clock at gnome-wall-clock.c:350
 #10 g_settings_real_change_event at gsettings.c:386
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:525
 #13 g_cclosure_marshal_generic_va at gclosure.c:1604

Potential duplicate: bug 1178627
Comment 1 Alex Gluck 2017-07-12 09:19:47 EDT
Created attachment 1297000 [details]
File: backtrace
Comment 2 Alex Gluck 2017-07-12 09:19:48 EDT
Created attachment 1297001 [details]
File: cgroup
Comment 3 Alex Gluck 2017-07-12 09:19:51 EDT
Created attachment 1297002 [details]
File: core_backtrace
Comment 4 Alex Gluck 2017-07-12 09:19:52 EDT
Created attachment 1297003 [details]
File: cpuinfo
Comment 5 Alex Gluck 2017-07-12 09:19:54 EDT
Created attachment 1297004 [details]
File: dso_list
Comment 6 Alex Gluck 2017-07-12 09:19:56 EDT
Created attachment 1297005 [details]
File: environ
Comment 7 Alex Gluck 2017-07-12 09:19:58 EDT
Created attachment 1297006 [details]
File: limits
Comment 8 Alex Gluck 2017-07-12 09:20:02 EDT
Created attachment 1297007 [details]
File: maps
Comment 9 Alex Gluck 2017-07-12 09:20:04 EDT
Created attachment 1297008 [details]
File: open_fds
Comment 10 Alex Gluck 2017-07-12 09:20:05 EDT
Created attachment 1297009 [details]
File: proc_pid_status
Comment 11 Alex Gluck 2017-07-12 09:20:07 EDT
Created attachment 1297010 [details]
File: var_log_messages
Comment 12 Alex Gluck 2017-07-12 09:20:09 EDT
Created attachment 1297011 [details]
File: exploitable
Comment 13 Garrett Figueroa 2017-08-02 16:48:29 EDT
*** Bug 1477759 has been marked as a duplicate of this bug. ***
Comment 14 ABrianceau 2017-08-03 10:30:15 EDT
*** Bug 1478082 has been marked as a duplicate of this bug. ***
Comment 15 Jonas Thiem 2017-08-04 17:15:46 EDT
*** Bug 1478586 has been marked as a duplicate of this bug. ***
Comment 16 Tony 2017-08-05 18:45:55 EDT
*** Bug 1478673 has been marked as a duplicate of this bug. ***
Comment 17 Tony 2017-08-05 18:47:27 EDT
I'm seeing this, too. Bug 1478673 opened, marked as a duplicate of this one.
Comment 18 Tony 2017-08-07 13:27:38 EDT
*** Bug 1479013 has been marked as a duplicate of this bug. ***
Comment 19 Tony 2017-08-07 13:29:56 EDT
Considering this results in random crashes of the desktop environment, can something be done about the urgency of this bug?
Comment 20 matti.moell 2017-08-10 05:52:46 EDT
Similar problem has been detected:

Usual morning routine:

 - Connect Lenovo x260 to docking station whilst in standby.
 - Press the power button on the UltraDock to trigger a wakeup from standby
 - Displays show lockscreen
 - Press ESC and started to enter password
 - Halfway through the PW the machine locks up for a couple of seconds
 - Displays go dark, after 10 seconds greeted with gdm login screen again.

Setup is as said, an Lenovo x260 connected to a UltraDock with two monitors connected

NOTE: since kernel 4.12 the screen flickers when coming out of standby most of the
time once and it seems like the displays are re-detected.

dmesg, since resume:

[...]
[219082.184156] PM: resume of devices complete after 528.131 msecs
[219082.184645] PM: resume devices took 0.529 seconds
[219082.185180] PM: Finishing wakeup.
[219082.185182] OOM killer enabled.
[219082.185184] Restarting tasks ... 
[219082.192618] [drm] RC6 on
[219082.196633] done.
[219082.197934] thermal thermal_zone3: failed to read out thermal zone (-5)
[219082.275507] thinkpad_acpi: EC reports that Thermal Table has changed
[219082.354671] e1000e: enp0s31f6 NIC Link is Down
[219082.360417] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[219082.378744] thinkpad_acpi: EC reports that Thermal Table has changed
[219082.394910] psmouse serio1: synaptics: queried max coordinates: x [..5712], y [..4780]
[219082.397253] usb 2-4: new SuperSpeed USB device number 18 using xhci_hcd
[219082.433399] psmouse serio1: synaptics: queried min coordinates: x [1232..], y [1074..]
[219082.570493] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[219082.575478] IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
[219082.577668] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.579044] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.649548] usb 2-4: New USB device found, idVendor=17ef, idProduct=1010
[219082.649553] usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[219082.649557] usb 2-4: Product: Lenovo ThinkPad Dock   
[219082.649560] usb 2-4: Manufacturer: LENOVO                 
[219082.652134] hub 2-4:1.0: USB hub found
[219082.652269] hub 2-4:1.0: 4 ports detected
[219082.715771] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.718002] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.804158] usb 1-4: new high-speed USB device number 44 using xhci_hcd
[219082.822635] IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
[219082.837626] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.838709] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.969715] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.970514] iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
[219082.974958] usb 1-4: New USB device found, idVendor=17ef, idProduct=1010
[219082.974965] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[219082.974969] usb 1-4: Product: Lenovo ThinkPad Dock   
[219082.974972] usb 1-4: Manufacturer: LENOVO                 
[219082.976044] hub 1-4:1.0: USB hub found
[219082.976317] hub 1-4:1.0: 4 ports detected
[...] # Lots of USB probing
[219084.277356] usb 1-4.2.4: Manufacturer: Logitech
[219084.282691] input: Logitech USB Optical Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4.2/1-4.2.4/1-4.2.4:1.0/0003:046D:C05A.0012/input/input34
[219084.283109] hid-generic 0003:046D:C05A.0012: input,hidraw1: USB HID v1.11 Mouse [Logitech USB Optical Mouse] on usb-0000:00:14.0-4.2.4/input0
[219085.385622] e1000e: enp0s31f6 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[219085.385757] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s31f6: link becomes ready
[219086.527626] IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
[219086.634132] wlp4s0: authenticate with [... SNIP]
[219086.654559] IPv6: ADDRCONF(NETDEV_CHANGE): wlp4s0: link becomes ready
[219095.766463] show_signal_msg: 13 callbacks suppressed
[219095.766465] gnome-shell[30026]: segfault at 18 ip 00007f4d4b79be40 sp 00007ffc6e5486b8 error 4 in libglib-2.0.so.0.5200.3[7f4d4b728000+110000]
[219099.578142] mei_wdt mei::05b79a6f-4628-4d7f-899d-a91514cb32ab:02: Could not reg notif event ret=-22
[219099.581151] mei_wdt: probe of mei::05b79a6f-4628-4d7f-899d-a91514cb32ab:02 failed with error -22
[219100.752326] rfkill: input handler enabled
[219115.642102] rfkill: input handler disabled

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=d5d5865d21b848c4ac0bef2443ec60f6;i=1c9f1;b=9f25272ff11c4a52b60150f3832a2723;m=33049383ba;t=55662c844fb13;x=4e823d44887dc0d5
kernel:         4.12.0-1.fc27.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Ilya Tribusean 2017-08-13 10:25:24 EDT
*** Bug 1481021 has been marked as a duplicate of this bug. ***
Comment 22 Leslie Satenstein 2017-08-17 20:28:37 EDT
Similar problem has been detected:

During normal use, (looking at emails and at a youtube video

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=a8061bf8a7aa434a94c7782b87630eb2;i=20b37;b=232f6cca5d9a47b5837dab19584d6bee;m=2588d53b8c;t=556f3466bfaa6;x=d3d2fca59df2c0d3
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 brhahlen 2017-08-22 04:53:17 EDT
Similar problem has been detected:

I unlocked the session after sleep.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=744c49da9a594a69bb8388539433c123;i=188c89;b=9247788f99d04094b238ef5966b0e819;m=13f6b77e84;t=55752b3f235bf;x=537869c4b19dc0af
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 J. Haas 2017-08-23 02:18:11 EDT
Similar problem has been detected:

Compiling a java Application in Intellij Idea, doing nothing shell related.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=1bc7b3faa0404365a719ac4013abff94;i=10db80;b=68b482b3dc9f4ecf8fc393e4c4fc5b3d;m=5e1659690;t=55757f8dbd68b;x=954653ba04144199
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 major_tom 2017-08-30 04:21:52 EDT
*** Bug 1486590 has been marked as a duplicate of this bug. ***
Comment 26 J. Haas 2017-09-05 11:49:30 EDT
Similar problem has been detected:

Doing nothing, was away from PC and when I came back error message was visible.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=1bc7b3faa0404365a719ac4013abff94;i=124812;b=31bb7626d12d4537a9a4134097027bf0;m=50920cf47;t=55871a80ab921;x=e7389e421d3e9320
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 27 Thomas Wright 2017-09-06 08:08:02 EDT
Similar problem has been detected:

Gnome shell crashed sending me back to the login screen. This has only happened once so far, since I recently installed Fedora updates. At the time I was playing music in firefox, editing code in Atom, and in the process of moving a document viewer window.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=d695d8c350a34f88a1a314ba7fe1f609;i=248a8;b=3999c63da79049b9890af17cde7bdd5f;m=4fc3e6a76;t=55883fea1c54e;x=204e45eb441b3e2c
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 28 J. Haas 2017-09-06 09:14:46 EDT
I think this is the upsteam bug: https://bugzilla.gnome.org/show_bug.cgi?id=780861
Comment 29 Aleixenandros 2017-09-07 14:35:22 EDT
*** Bug 1489568 has been marked as a duplicate of this bug. ***
Comment 30 Jonas G 2017-09-12 06:19:10 EDT
*** Bug 1490821 has been marked as a duplicate of this bug. ***
Comment 31 Jonas G 2017-09-12 06:22:00 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1490821 is in line with previous obersvations:

Watching YouTube videos (720p, HTML5) in Chromium.

- Total of around a dozen tabs in Chromium, up to three with videos running.
- Other applications include Slack, IntelliJ IDEA, Evolution.
- On Dell docking station (the one using Dell's proprietary connector)
- Plenty of RAM available (< 10 GBs used of 16 GB total)
- Nothing overly CPU intensive running
Comment 32 Paul Nickerson 2017-09-13 11:16:47 EDT
Similar problem has been detected:

I don't know much. I was logged in to GNOME with some active windows. I closed my laptop to put it to sleep. Later on I opened my laptop which woke it up, and the lock/login screen was up. I attempted to log in (type password, press enter), and after a little bit the display went blank (I don't know if it displayed anything else before going blank). I pressed a key, and the lock/login screen was back up. This time, login was successful, and I was then informed that GNOME had crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=b428659e293a456c9c4aeaf1d65928ba;i=8b2bd;b=a4a7af84997b4bd183a8c9a139b58815;m=c13f39df;t=55913754b75c2;x=8768ff62b46a78fb
kernel:         4.12.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 33 krinkodot22 2017-09-16 00:50:39 EDT
*** Bug 1492283 has been marked as a duplicate of this bug. ***
Comment 34 Aleixenandros 2017-09-17 07:42:33 EDT
*** Bug 1492437 has been marked as a duplicate of this bug. ***
Comment 35 Brian J. Murrell 2017-09-17 16:32:08 EDT
Similar problem has been detected:

Logging into GNOME.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=89108862094f480aa6525a5cf0746fbf;i=d48e3;b=902cb343ec514d9c8519ae49f14ec93e;m=9f044f4;t=5596878bb93f6;x=123f4e2c105c4955
kernel:         4.12.12-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 36 krinkodot22 2017-09-17 22:22:23 EDT
*** Bug 1492514 has been marked as a duplicate of this bug. ***
Comment 37 Giacomo Furlan 2017-09-19 03:45:55 EDT
*** Bug 1493019 has been marked as a duplicate of this bug. ***
Comment 38 c 2017-09-23 14:12:55 EDT
*** Bug 1494862 has been marked as a duplicate of this bug. ***
Comment 39 Mikhail 2017-09-26 01:39:31 EDT
*** Bug 1495454 has been marked as a duplicate of this bug. ***
Comment 40 vwkitchen 2017-10-05 00:26:35 EDT
Similar problem has been detected:

It occured after connecting an SD-Card which contained 13 or so partitions.
I believe during the automount Gnome crashed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=454825b668fe48e5ae62e5893dff6e00;i=5e05d;b=07c3bc1a3c364d45905c55af79d6307d;m=790a6feb8;t=55ac500921b9c;x=1974c7945d7e81c
kernel:         4.12.13-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 41 André Luís Mendes 2017-10-05 14:49:41 EDT
Similar problem has been detected:

seeing a webtraining inside virtualbox and then implodes

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=93c383b21aea4be79352db573a5914bf;i=adef;b=49d3369bf09c4b85b886a8e74efcf041;m=cc41eef8a;t=55ad114672857;x=e7cd3c11e46a0837
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 42 André Luís Mendes 2017-10-06 08:21:59 EDT
Similar problem has been detected:

I do not know ... the only coincidence was exactly at 9:00h local time ...

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=93c383b21aea4be79352db573a5914bf;i=b658;b=49d3369bf09c4b85b886a8e74efcf041;m=eb05e5092;t=55adf9532fc8e;x=957b22e9cccfb882
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 43 Soeren Grunewald 2017-10-11 02:41:21 EDT
Similar problem has been detected:

1) Started the machine (cold start)
2) Logged in
-> Login took quit long.
3) Abrt showed that gnome-shell was crashed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_time_zone_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=69c3f5b8f21743d59dabd27093e4e667;i=3c57f;b=de11e5629d15456886eeeb33cc92bfd9;m=28b9abc;t=55b3f3a6e56a7;x=11e76eb18cb0ca80
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 44 stvwlls28 2017-10-14 19:14:03 EDT
*** Bug 1502184 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.